Page MenuHomePhabricator

Talk page links on small number of pages are broken on the Portuguese Wikibooks
Closed, ResolvedPublic

Event Timeline

He7d3r created this task.May 19 2018, 11:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2018, 11:57 PM
Vvjjkkii renamed this task from Unbreak talk pages on Portuguese Wikibooks to 5mcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 5mcaaaaaaa to Unbreak talk pages on Portuguese Wikibooks.Jul 1 2018, 5:31 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
He7d3r triaged this task as Unbreak Now! priority.Jul 28 2018, 12:07 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 28 2018, 12:07 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald Transcript

@He7d3r : Hmm, what has changed that suddenly makes this task 'Unbreak now' priority two months after filing it...?

JTannerWMF added a subscriber: JTannerWMF.

Growth Team is going to take a look at this in an upcoming sprint to see what can be done

Deskana renamed this task from Unbreak talk pages on Portuguese Wikibooks to Talk page links on small number of pages are broken on the Portuguese Wikibooks.Aug 23 2018, 12:20 PM

The title of this bug is unnecessarily inflammatory. I tested other pages on the Portuguese Wikibooks, and the links to their talk pages functioned correctly—of the 30 or so I tested, the specific page given in the example was the only one that didn't work. Do you have a list of other pages that are broken in this manner? In the mean time, please try to keep bug reports as factual and neutral as possible.

We are considering this for Growth team maintenance work.

Hi @He7d3r, I'm trying to understand what's going on with the broken talk page in the task description.

It was edited to be a redirect to a non-existent Flow topic (Topic:Qcdxucftem0jde1q) by タチコマ robot on 2015/11/05 05:34:30. It is possible that this topic existed in the past but was lost during the LQT->Flow conversion attempts. I have no way of knowing.

Since this page is a subpage of a Flow board, removing the redirect (by adding ?action=edit to the url) would likely make it a functional Flow board. I'll leave that for the community to try. Let me know how it goes or if I can help.

Also, are you aware of any other broken Flow pages?

For reference, here's the complete history on that page:

*************************** 1. row ***************************
rev_timestamp: 20111218152721
rev_user_text: Raylton P. Sousa
  rev_comment: moveu [[Utilizador Discussão:Raylton P. Sousa/Livros escolares]] para [[Tópico:Utilizador Discussão:Raylton P. Sousa/Projeto Folhas do Paraná]]
*************************** 2. row ***************************
rev_timestamp: 20111218153339
rev_user_text: Raylton P. Sousa
  rev_comment: Redireccionamento para [[Tópico:Utilizador Discussão:Raylton P. Sousa/Projeto Folhas do Paraná (2)]]
*************************** 3. row ***************************
rev_timestamp: 20120114125642
rev_user_text: Raylton P. Sousa
  rev_comment: moveu [[Utilizador Discussão:Raylton P. Sousa/Livros escolares]] para [[Utilizador Discussão:Raylton P. Sousa/Projetos/Livros aberto]]
*************************** 4. row ***************************
rev_timestamp: 20120114134615
rev_user_text: Raylton P. Sousa
  rev_comment: moveu [[Utilizador Discussão:Raylton P. Sousa/Projetos/Livros aberto]] para [[Utilizador Discussão:Raylton P. Sousa/Projetos/Livro aberto]]
*************************** 5. row ***************************
rev_timestamp: 20151105053430
rev_user_text: タチコマ robot
  rev_comment: Robô: A corrigir o redirecionamento duplo para [[Topic:Qcdxucftem0jde1q]]

I have found Utilizador Discussão:Raylton P. Sousa/Livros escolares that is similarly broken. There too, removing the redirect should fix it.

I've edited both pages to remove the invalid redirect and they became valid LQT pages.

Please let us know if these pages work as expected and if you encounter any other broken pages.

Etonkovidova closed this task as Resolved.Sep 15 2018, 12:21 AM

I don't have an exaustive list of the broken pages and I was not able to find other pages with the same problem.

I don't have an exaustive list of the broken pages and I was not able to find other pages with the same problem.

If you find some, please re-open and tell us! :)